Row trimming
Hide individual rows from your interface and exclude them from the rendering process and DataMap.
Overview
Row trimming is similar to row hiding, but works a bit differently.
The TrimRows plugin allows the trimming of specific rows from the table. Rows being trimmed aren’t rendered and aren’t included in the DataMap, which can be retrieved by calling the getData method.
Setup
To enable row trimming, set the trimRows option to true.
// enable the `TrimRows` plugintrimRows: true,To both enable row trimming and trim selected rows at Handsontable’s initialization, set the trimRows option to an array of physical row indexes.
// enable the `TrimRows` plugin// at Handsontable's initialization, trim rows 5, 10, and 15trimRows: [5, 10, 15],Example
Note that the second, third, and sixth rows are missing in the following example:
import Handsontable from 'handsontable/base';import { registerAllModules } from 'handsontable/registry';
// Register all Handsontable's modules.registerAllModules();
const container = document.querySelector('#example1');
new Handsontable(container, { data: [ ['A1', 'B1', 'C1', 'D1'], ['A2', 'B2', 'C2', 'D2'], ['A3', 'B3', 'C3', 'D3'], ['A4', 'B4', 'C4', 'D4'], ['A5', 'B5', 'C5', 'D5'], ['A6', 'B6', 'C6', 'D6'], ['A7', 'B7', 'C7', 'D7'], ['A8', 'B8', 'C8', 'D8'], ['A9', 'B9', 'C9', 'D9'], ], colHeaders: true, rowHeaders: true, trimRows: [1, 2, 5], height: 'auto', autoWrapRow: true, autoWrapCol: true, licenseKey: 'non-commercial-and-evaluation',});import Handsontable from 'handsontable/base';import { registerAllModules } from 'handsontable/registry';
// Register all Handsontable's modules.registerAllModules();
const container = document.querySelector('#example1')!;
new Handsontable(container, { data: [ ['A1', 'B1', 'C1', 'D1'], ['A2', 'B2', 'C2', 'D2'], ['A3', 'B3', 'C3', 'D3'], ['A4', 'B4', 'C4', 'D4'], ['A5', 'B5', 'C5', 'D5'], ['A6', 'B6', 'C6', 'D6'], ['A7', 'B7', 'C7', 'D7'], ['A8', 'B8', 'C8', 'D8'], ['A9', 'B9', 'C9', 'D9'], ], colHeaders: true, rowHeaders: true, trimRows: [1, 2, 5], height: 'auto', autoWrapRow: true, autoWrapCol: true, licenseKey: 'non-commercial-and-evaluation',});Result
After completing this guide, rows you specify are excluded from rendering and from DataMap. You can trim rows at initialization or dynamically at runtime using the plugin API.
Related API
Plugin methods
The plugin instance can be accessed by calling:
const plugin = hot.getPlugin('trimRows');To trim a single row, call the trimRow() method of the plugin object:
plugin.trimRow(4);To trim multiple rows, either pass them as arguments to the trimRow() method, or pass an array of physical row indexes to the trimRows() method:
plugin.trimRow(0, 4, 6);// orplugin.trimRows([0, 4, 6]);To restore the trimmed row(s), use the following methods:
plugin.untrimRow(4);plugin.untrimRow(0, 4, 6);plugin.untrimRows([0, 4, 6]);To see the changes made, call hot.render(); to re-render the table.
API reference
Options
Hooks
Plugins

Row trimming
Hide individual rows from your interface and exclude them from the rendering process and DataMap.
Overview
Row trimming is similar to row hiding, but works a bit differently.
The TrimRows plugin allows the trimming of specific rows from the table. Rows being trimmed aren’t rendered and aren’t included in the DataMap, which can be retrieved by calling the getData method.
Setup
To enable row trimming, set the trimRows option to true.
// enable the `TrimRows` plugintrimRows: true,To both enable row trimming and trim selected rows at Handsontable’s initialization, set the trimRows option to an array of physical row indexes.
// enable the `TrimRows` plugin// at Handsontable's initialization, trim rows 5, 10, and 15trimRows: [5, 10, 15],Example
Note that the second, third, and sixth rows are missing in the following example:
<script setup lang="ts">import { ref } from 'vue';import { HotTable } from '@handsontable/vue3';import { registerAllModules } from 'handsontable/registry';import type { GridSettings } from 'handsontable/settings';
registerAllModules();
const hotSettings = ref<GridSettings>({ data: [ ['A1', 'B1', 'C1', 'D1'], ['A2', 'B2', 'C2', 'D2'], ['A3', 'B3', 'C3', 'D3'], ['A4', 'B4', 'C4', 'D4'], ['A5', 'B5', 'C5', 'D5'], ['A6', 'B6', 'C6', 'D6'], ['A7', 'B7', 'C7', 'D7'], ['A8', 'B8', 'C8', 'D8'], ['A9', 'B9', 'C9', 'D9'], ], colHeaders: true, rowHeaders: true, trimRows: [1, 2, 5], height: 'auto', autoWrapRow: true, autoWrapCol: true, licenseKey: 'non-commercial-and-evaluation',});</script>
<template> <div id="example1"> <HotTable :settings="hotSettings" /> </div></template>Result
After completing this guide, rows you specify are excluded from rendering and from DataMap. You can trim rows at initialization or dynamically at runtime using the plugin API.
Related API
Plugin methods
The plugin instance can be accessed by calling:
const plugin = hot.getPlugin('trimRows');To trim a single row, call the trimRow() method of the plugin object:
plugin.trimRow(4);To trim multiple rows, either pass them as arguments to the trimRow() method, or pass an array of physical row indexes to the trimRows() method:
plugin.trimRow(0, 4, 6);// orplugin.trimRows([0, 4, 6]);To restore the trimmed row(s), use the following methods:
plugin.untrimRow(4);plugin.untrimRow(0, 4, 6);plugin.untrimRows([0, 4, 6]);To see the changes made, call hot.render(); to re-render the table.
API reference
Options
Hooks
Plugins

Angular Data GridRow trimming

Hide individual rows from your interface and exclude them from the rendering process and DataMap.

Overview

Row trimming is similar to row hiding, but works a bit differently.

The TrimRows plugin allows the trimming of specific rows from the table. Rows being trimmed aren't rendered and aren't included in the DataMap, which can be retrieved by calling the getData method.

Setup

To enable row trimming, set the trimRows option to true.

// enable the `TrimRows` plugin
trimRows: true,

To both enable row trimming and trim selected rows at Handsontable's initialization, set the trimRows option to an array of physical row indexes.

// enable the `TrimRows` plugin
// at Handsontable's initialization, trim rows 5, 10, and 15
trimRows: [5, 10, 15],

Example

Note that the second, third, and sixth rows are missing in the following example:

/* file: app.component.ts */
import { Component } from '@angular/core';
import { GridSettings } from "@handsontable/angular-wrapper";

@Component({
  selector: 'app-example1',
  template: `
    <hot-table
      [settings]="hotSettings!" [data]="hotData">
    </hot-table>
  `,
  standalone: false
})
export class AppComponent {

  readonly hotData = [
    ['A1', 'B1', 'C1', 'D1'],
    ['A2', 'B2', 'C2', 'D2'],
    ['A3', 'B3', 'C3', 'D3'],
    ['A4', 'B4', 'C4', 'D4'],
    ['A5', 'B5', 'C5', 'D5'],
    ['A6', 'B6', 'C6', 'D6'],
    ['A7', 'B7', 'C7', 'D7'],
    ['A8', 'B8', 'C8', 'D8'],
    ['A9', 'B9', 'C9', 'D9'],
  ];

  readonly hotSettings: GridSettings = {
    colHeaders: true,
    rowHeaders: true,
    trimRows: [1, 2, 5],
    height: 'auto',
    autoWrapRow: true,
    autoWrapCol: true,
  };
}



/* file: app.module.ts */
import { NgModule, ApplicationConfig } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { registerAllModules } from 'handsontable/registry';
import { HOT_GLOBAL_CONFIG, HotGlobalConfig, HotTableModule } from '@handsontable/angular-wrapper';
import { CommonModule } from '@angular/common';
import { NON_COMMERCIAL_LICENSE } from '@handsontable/angular-wrapper';

import { AppComponent } from './app.component';

// register Handsontable's modules
registerAllModules();

export const appConfig: ApplicationConfig = {
  providers: [
    {
      provide: HOT_GLOBAL_CONFIG,
      useValue: {
        themeName: 'ht-theme-main',
        license: NON_COMMERCIAL_LICENSE,
      } as HotGlobalConfig
    }
  ],
};

@NgModule({
  imports: [ BrowserModule, HotTableModule, CommonModule ],
  declarations: [ AppComponent ],
  providers: [...appConfig.providers],
  bootstrap: [ AppComponent ]
})

export class AppModule { }

API examples

To obtain the Handsontable instance from the Angular wrapper component, you can use Angular's @ViewChild decorator to reference the HotTableComponent and then access its hotInstance property.

@ViewChild(HotTableComponent, {static: false})
hotTable!: HotTableComponent;

ngAfterViewInit() {
  // The Handsontable instance is available through the hotInstance property
  const hot = this.hotTable.hotInstance;
  // You can now use the "hot" instance to call Handsontable's API methods
  // ...
}

The plugin instance can be accessed by calling:

const plugin = hot.getPlugin('trimRows');

To trim a single row, call the trimRow() method of the plugin object:

plugin.trimRow(4);

To trim multiple rows, either pass them as arguments to the trimRow() method, or pass an array of physical row indexes to the trimRows() method:

plugin.trimRow(0, 4, 6);
// or
plugin.trimRows([0, 4, 6]);

To restore the trimmed row(s), use the following methods:

plugin.untrimRow(4);
plugin.untrimRow(0, 4, 6);
plugin.untrimRows([0, 4, 6]);

To see the changes made, call hot.render(); to re-render the table.

React Data GridRow trimming

Hide individual rows from your interface and exclude them from the rendering process and DataMap.

Overview

Row trimming is similar to row hiding, but works a bit differently.

The TrimRows plugin allows the trimming of specific rows from the table. Rows being trimmed aren't rendered and aren't included in the DataMap, which can be retrieved by calling the getData method.

Setup

To enable row trimming, set the trimRows option to true.

// enable the `TrimRows` plugin

<HotTable
  trimRows={true}
/>

To both enable row trimming and trim selected rows at Handsontable's initialization, set the trimRows option to an array of physical row indexes.

// enable the `TrimRows` plugin
// at Handsontable's initialization, trim rows 5, 10, and 15

<HotTable
  trimRows={[5, 10, 15]}
/>

Example

Note that the second, third, and sixth rows are missing in the following example:

import { HotTable } from '@handsontable/react-wrapper';
import { registerAllModules } from 'handsontable/registry';
import 'handsontable/styles/handsontable.css';
import 'handsontable/styles/ht-theme-main.css';

// register Handsontable's modules
registerAllModules();

const ExampleComponent = () => {
  return (
    <HotTable
      themeName="ht-theme-main"
      data={[
        ['A1', 'B1', 'C1', 'D1'],
        ['A2', 'B2', 'C2', 'D2'],
        ['A3', 'B3', 'C3', 'D3'],
        ['A4', 'B4', 'C4', 'D4'],
        ['A5', 'B5', 'C5', 'D5'],
        ['A6', 'B6', 'C6', 'D6'],
        ['A7', 'B7', 'C7', 'D7'],
        ['A8', 'B8', 'C8', 'D8'],
        ['A9', 'B9', 'C9', 'D9'],
      ]}
      colHeaders={true}
      rowHeaders={true}
      trimRows={[1, 2, 5]}
      height="auto"
      autoWrapRow={true}
      autoWrapCol={true}
      licenseKey="non-commercial-and-evaluation"
    />
  );
};

export default ExampleComponent;

API examples

TIP

To use the Handsontable API, you'll need access to the Handsontable instance. You can do that by utilizing a reference to the HotTable component, and reading its hotIntance property.

For more information, see the Instance methods page.

The plugin instance can be accessed by calling:

const plugin = hot.getPlugin('trimRows');

To trim a single row, call the trimRow() method of the plugin object:

plugin.trimRow(4);

To trim multiple rows, either pass them as arguments to the trimRow() method, or pass an array of physical row indexes to the trimRows() method:

plugin.trimRow(0, 4, 6);
// or
plugin.trimRows([0, 4, 6]);

To restore the trimmed row(s), use the following methods:

plugin.untrimRow(4);
plugin.untrimRow(0, 4, 6);
plugin.untrimRows([0, 4, 6]);

To see the changes made, call hot.render(); to re-render the table.